> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clicker.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Copyswap Intent

> Fire this when a user moves to copytrade a comment. (For example: when a user taps a button on a comment to buy that token.)

The user’s trade must be matched exactly with an intent, so send us any address the user could use to make the copytrade, and fire this request any time you think a user could make a trade.

We use this information to measure copytrade volume and reward commenters.



## OpenAPI

````yaml POST /v1/swap-comment/{id}/copyswap
openapi: 3.0.0
info:
  version: 1.0.0
  title: Daylight.xyz API
  description: >-
    Welcome to the Daylight API! API endpoints require a Daylight partner API
    key passed in the HTTP Authorization header.
servers:
  - url: https://api.clicker.xyz
security:
  - {}
  - bearerAuth: []
paths:
  /v1/swap-comment/{id}/copyswap:
    post:
      tags:
        - Submitting Transactions
      summary: Create Copyswap Intent
      description: >-
        Fire this when a user moves to copytrade a comment. (For example: when a
        user taps a button on a comment to buy that token.)


        The user’s trade must be matched exactly with an intent, so send us any
        address the user could use to make the copytrade, and fire this request
        any time you think a user could make a trade.


        We use this information to measure copytrade volume and reward
        commenters.
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: id
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                actorAddress:
                  type: string
                  default: '0xa4e221aa5a7ba51b5d5c7d5c923bfb9bcebcb252'
                  description: The address / public key.
                actorAddresses:
                  type: array
                  items:
                    type: string
                    default: '0xa4e221aa5a7ba51b5d5c7d5c923bfb9bcebcb252'
                    description: The address / public key.
                  description: Multiple addresses of actors performing the copy swap
                tokenAddress:
                  type: string
                  default: '0x5180db8f5c931aae63c74266b211f580155ecac8'
                  description: The contract / token address.
                chain:
                  type: string
                  enum:
                    - ethereum
                    - optimism
                    - polygon
                    - arbitrum
                    - zora
                    - base
                    - zero
                    - solana
                    - hyperliquid
                trackExitUntil:
                  type: string
                  format: date-time
                  description: >-
                    ISO timestamp. If set, exit trades on this position will be
                    tracked until this time. Max 7 days from now. Hyperliquid
                    only.
              required:
                - tokenAddress
                - chain
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateCopyswapIntentResponse'
        '400':
          description: >-
            The request payload or query string parameter you passed was not
            valid
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '404':
          description: The item you requested could not be found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
components:
  schemas:
    CreateCopyswapIntentResponse:
      type: object
      properties:
        intentIds:
          type: array
          items:
            type: string
          description: The IDs of the copyswap intents created
      required:
        - intentIds
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````